import Dialog from './dialog';
import './index.less';

class SNKBrowserHelper {
  static portConfig = {
    wss: 10242,
    ws: 10241,
  };
  static callAjaxPrint = ({ env, ok, wss,title, initParams, baseURL, reStartCallBack,callElectronCallBack, close  }) => {
    const dialog = new Dialog({
      port:SNKBrowserHelper.portConfig[wss==='true'?'wss':'ws'],
      action:'ajax-print',
      env,
      title,
      reStartCallBack,
      callElectronCallBack,
      baseURL,
      initParams,
      ok,
      close,
      wss,
    });
    dialog.show();
  }
}

window.SNKBrowserHelper = SNKBrowserHelper;
export default SNKBrowserHelper;